## WebKitDOMPerformanceEntry

WebKitDOMPerformanceEntry

## Functions

gchar * | webkit_dom_performance_entry_get_name ()
gchar * | webkit_dom_performance_entry_get_entry_type ()
gdouble | webkit_dom_performance_entry_get_start_time ()
gdouble | webkit_dom_performance_entry_get_duration ()

## Properties

gdouble | duration | Read
gchar * | entry-type | Read
gchar * | name | Read
gdouble | start-time | Read

## Types and Values

| WebKitDOMPerformanceEntry

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMPerformanceEntry

## Description

## Functions

### webkit_dom_performance_entry_get_name ()

    gchar *
    webkit_dom_performance_entry_get_name (WebKitDOMPerformanceEntry *self);

#### Parameters

self | A WebKitDOMPerformanceEntry |

#### Returns

A gchar

### webkit_dom_performance_entry_get_entry_type ()

    gchar *
    webkit_dom_performance_entry_get_entry_type
                                   (WebKitDOMPerformanceEntry *self);

#### Parameters

self | A WebKitDOMPerformanceEntry |

#### Returns

A gchar

### webkit_dom_performance_entry_get_start_time ()

    gdouble
    webkit_dom_performance_entry_get_start_time
                                   (WebKitDOMPerformanceEntry *self);

#### Parameters

self | A WebKitDOMPerformanceEntry |

#### Returns

A gdouble

### webkit_dom_performance_entry_get_duration ()

    gdouble
    webkit_dom_performance_entry_get_duration
                                   (WebKitDOMPerformanceEntry *self);

#### Parameters

self | A WebKitDOMPerformanceEntry |

#### Returns

A gdouble

## Types and Values

### WebKitDOMPerformanceEntry

    typedef struct _WebKitDOMPerformanceEntry WebKitDOMPerformanceEntry;

## Property Details

### The `“duration”` property

      “duration”                 gdouble

read-only gdouble PerformanceEntry:duration.

Flags: Read

Default value: 0

### The `“entry-type”` property

      “entry-type”               gchar *

read-only gchar* PerformanceEntry:entry-type.

Flags: Read

Default value: ""

### The `“name”` property

      “name”                     gchar *

read-only gchar* PerformanceEntry:name.

Flags: Read

Default value: ""

### The `“start-time”` property

      “start-time”               gdouble

read-only gdouble PerformanceEntry:start-time.

Flags: Read

Default value: 0